hpp-corbaserver: SteeringMethod Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
SteeringMethod Class Reference

`#include <hpp/core_idl/steering_methods-idl.hh>`

Inheritance diagram for SteeringMethod:
[legend]
Collaboration diagram for SteeringMethod:
[legend]

## Public Types
typedef SteeringMethod_ptr | _ptr_type
typedef SteeringMethod_var | _var_type

## Public Member Functions
virtual | ~SteeringMethod ()
inline ::hpp::core_idl::SteeringMethod_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef SteeringMethod_ptr SteeringMethod::_ptr_type

## ◆ _var_type

typedef SteeringMethod_var SteeringMethod::_var_type

## Constructor & Destructor Documentation

## ◆ ~SteeringMethod()

virtual SteeringMethod::~SteeringMethod | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type SteeringMethod::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type SteeringMethod::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

_CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE core_idl _CORBA_MODULE_BEG _CORBA_MODULE steeringMethod_idl _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE_END void SteeringMethod::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type SteeringMethod::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type SteeringMethod::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::SteeringMethod_ptr SteeringMethod::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type SteeringMethod::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type SteeringMethod::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* SteeringMethod::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/steering_methods-idl.hh